package biliapi

import (
	"fmt"
	"net/http"
)

type BasicInfoParams struct {
	Cookie string
	Mid    uint
}

func BasicInfo(params BasicInfoParams) ([]byte, error) {
	url := fmt.Sprintf("https://api.bilibili.com/x/space/wbi/acc/info?mid=%d", params.Mid)

	srv := BaseService{
		Client:  &http.Client{},
		Url:     url,
		Headers: map[string]string{"Cookie": params.Cookie},
	}
	respBody, err := srv.DoRequest()
	if err != nil {
		return nil, err
	}
	return respBody, nil
}
